> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent

> Retrieve an [agent](https://app.voker.ai/docs/concepts/agents#agent).



## OpenAPI

````yaml /openapi.json get /api/v1/agents/{agent_name}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://evals.voker.ai/api/v1
security: []
paths:
  /api/v1/agents/{agent_name}:
    get:
      summary: Get Agent
      description: Retrieve an [agent](https://app.voker.ai/docs/concepts/agents#agent).
      operationId: get_agent_api_v1_agents__agent_name__get
      parameters:
        - name: agent_name
          in: path
          required: true
          schema:
            type: string
            examples:
              - customer-support-agent
            title: Agent Name
        - name: Authorization
          in: header
          required: true
          schema:
            examples:
              - Bearer 123
            type: string
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Agent'
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentNotFoundResponse'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Agent:
      properties:
        agent_name:
          type: string
          title: Agent Name
          description: Unique identifier for the agent.
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        agent_number:
          type: integer
          title: Agent Number
          description: Unique number assigned to the agent.
        created_at:
          type: string
          format: date-time
          title: Created At
        deprecated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Deprecated At
      type: object
      required:
        - agent_name
        - agent_number
        - created_at
      title: Agent
      description: >-
        Represents an agent.


        See [Agents](https://app.voker.ai/docs/concepts/agents#agents) for more
        information.
      examples:
        - agent_name: customer-support-agent
          agent_number: 1
          created_at: '2023-01-01T00:00:00Z'
          description: An agent that helps customers with their inquiries.
    AgentNotFoundResponse:
      properties:
        type:
          type: string
          const: agent-not-found
          title: Type
          default: agent-not-found
      type: object
      title: AgentNotFoundResponse
      description: Response model for agent not found errors.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````